<?php

	include_once( PLOG_CLASS_PATH."class/action/admin/adminaction.class.php" );
	include_once( PLOG_CLASS_PATH."plugins/delicious/class/view/plugindeliciousconfigview.class.php" );	

	/**
	 * shows a form with the current configuration
	 */
	class PluginDeliciousConfigAction extends AdminAction
	{
		
		function PluginDeliciousConfigAction( $actionInfo, $request )
		{
			$this->AdminAction( $actionInfo, $request );
		}
		
		function perform()
		{
            $this->_view = new PluginDeliciousConfigView( $this->_blogInfo );
			
			$this->setCommonData();
			
			return true;
		}
	}
?>